package cn.efunbox.audio.entity.hag;

import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @Description 调用记录
 * @Author  wangys
 * @Date   2022/1/12 11:22
 *
 */
@Data
@ToString
@Entity
@Table(name = "hag_record")
@DynamicInsert
@DynamicUpdate
public class HagRecord implements Serializable {

    @Id
    private String id;

    @Column(name = "device_code")
    private String deviceCode;

    @Column(name = "album_id")
    private String albumId;

    @Column(name = "content_id")
    private String contentId;

    @Column(name = "created")
    private Date created;


}
